# binaryninja.log.log

`binaryninja.log.``log`(level, text)

  `log` writes messages to the log console for the given log level.

  > LogLevelName | LogLevel | Description
  > --- | --- | ---
  > DebugLog | 0 | Logs debuging information messages to the console.
  > InfoLog | 1 | Logs general information messages to the console.
  > WarningLog | 2 | Logs message to console with Warning icon.
  > ErrorLog | 3 | Logs message to console with Error icon, focusing the error console.
  > AlertLog | 4 | Logs message to pop up window.

  Parameters:

  - level (LogLevel) – Log level to use
  - text (str) – message to print

  Return type: | None